org.apache.xerces.impl.dv.xs

## Class MonthDayDV

- java.lang.Object
- - org.apache.xerces.impl.dv.xs.TypeValidator
  - - org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
    - - org.apache.xerces.impl.dv.xs.MonthDayDV

    public class MonthDayDV
    extends AbstractDateTimeDV

Validator for <gMonthDay> datatype (W3C Schema Datatypes)

Version:
  $Id: MonthDayDV.java 937741 2010-04-25 04:25:46Z mrglavas $
Author:
  Elena Litani, Gopal Sharma, SUN Microsystem Inc.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

### Fields inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV

`datatypeFactory, DAY, MONTH, YEAR`

### Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

### Constructor Summary

Constructors
Constructor and Description
`MonthDayDV()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `dateToString(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)` Converts gMonthDay object representation to String
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)` Convert a string to a compiled form
`protected javax.xml.datatype.XMLGregorianCalendar` `getXMLGregorianCalendar(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)`
`protected org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData` `parse(java.lang.String str)` Parses, validates and computes normalized version of gMonthDay object

### Methods inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV

`append, append, append2, compare, compareDates, compareOrder, findUTCSign, fQuotient, fQuotient, getAllowedFacets, getDate, getDuration, getFractionalSecondsAsBigDecimal, getTime, getTimeZone, getYearMonth, indexOf, isIdentical, isNextCharUTCSign, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseSecond, parseTimeZone, resetDateObj, saveUnnormalized, validateDateTime`

### Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator

`checkExtraRules, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MonthDayDV

    public MonthDayDV()

### Method Detail

#### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

Convert a string to a compiled form

Specified by:
  `getActualValue` in class `TypeValidator`
Parameters:
  `content` - The lexical representation of gMonthDay
Returns:
  a valid and normalized gMonthDay object
Throws:
  `InvalidDatatypeValueException`

#### parse

    protected org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData parse(java.lang.String str)
                                                                          throws SchemaDateTimeException

Parses, validates and computes normalized version of gMonthDay object

Parameters:
  `str` - The lexical representation of gMonthDay object --MM-DD with possible time zone Z or (-),(+)hh:mm
Returns:
  normalized date representation
Throws:
  `SchemaDateTimeException` - Invalid lexical representation

#### dateToString

    protected java.lang.String dateToString(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)

Converts gMonthDay object representation to String

Overrides:
  `dateToString` in class `AbstractDateTimeDV`
Parameters:
  `date` - gmonthDay object
Returns:
  lexical representation of month: --MM-DD with an optional time zone sign

#### getXMLGregorianCalendar

    protected javax.xml.datatype.XMLGregorianCalendar getXMLGregorianCalendar(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)

Overrides:
  `getXMLGregorianCalendar` in class `AbstractDateTimeDV`